Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 86001 - No 3D hardware acceleration and X hard crashes for ATI Mobilty Radeon M6
Summary: No 3D hardware acceleration and X hard crashes for ATI Mobilty Radeon M6
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: XFree86
Version: phoebe
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-03-12 01:57 UTC by Alejandro Mota
Modified: 2007-04-18 16:51 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-14 03:57:13 UTC


Attachments (Terms of Use)

Description Alejandro Mota 2003-03-12 01:57:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.7 (X11; Linux i686; U;) Gecko/20030131

Description of problem:
When upgrading from RH 8.0 to phoebe 2nd public beta, my ThinkPad A30p no longer
uses 3D hardware acceleration for OpenGL graphics. Additionally, if I try to
test a few OpenGL screen savers from the screen saver configuration screen, X
freezes and I have to kill it through a remote connection.

The Enable 3D Hardware Acceleration checkbox is enabled on the
redhat-config-xfree86 utility.

Version-Release number of selected component (if applicable):
XFree86-4.2.99.901-20030213.0

How reproducible:
Always

Steps to Reproduce:
1. Upgrade from RH 8.0 to phoebe 2nd public beta.
2. Run any application that uses 3d hardware acceleration.
3. To get X to crash, go to screen saver configuration and test two or three
screen savers that require OpenGL.
    

Actual Results:  No 3D hardware acceleration is used when running applications
that can use it. X freezes when testing two or more OpenGL screen savers.

Expected Results:  3D hardware acceleration should be enabled, as it was running
fine in RH 8.0. X should not crash when trying screen savers that requiere OpenGL.

Additional info:

Comment 1 Mike A. Harris 2003-03-12 12:56:10 UTC
Phoebe 2nd beta is very old now (in terms of beta life).  If you're not
using the latest beta, completely updated to the latest rawhide packages,
including the kernel (very important).

For the record, I do not have any ATI Radeon Mobility hardware available
for testing/debugging, so I am unable to test for problems personally on
that specific hardware.  I have pretty much all of ATI's standalone
video hardware, and I can't trigger any GL screensaver lockups in testing
with the latest packages.

Please update to the latest beta, and rawhide packages first and see if
the problems you've experienced are resolved now.  If the problem persists,
please attach your X server log and config file, and /var/log/messages
from after a crash.  Indicate which specific screensavers are causing the
problem, and the exact detailed step by step instructions on how to
reproduce, which may help to duplicate the problem locally on other
hardware.

Do the latest packages resolve this for you?



Comment 2 Alejandro Mota 2003-03-13 09:06:06 UTC
I upgraded both XFree86 and the kernel to the packages in rawhide and that fixed
both the 3D hardware acceleration and X crashing problems. The only other thing
that I notice now is that, using KDE, when I activate some of the GL
screen-savers (say for instance, atlantis, the one with the whales) there is
serious flickering. This does not happen with any other GL applications that I
tested, both in KDE and GNOME, or with the screen-savers themselves in GNOME.


Note You need to log in before you can comment on or make changes to this bug.